package com.mx.cneeds.server.datashow.web.user;

import com.mx.cneeds.common.result.R;
import com.mx.cneeds.common.vo.UserInfoVo;
import com.mx.cneeds.server.datashow.client.AuthorizationClient;
import com.mx.cneeds.common.dto.JwtToken;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.logging.Logger;

/**
 * @ClassName UserController
 * @Author zzrdark
 * @Date 2020-03-04 18:09
 * @Description TODO
 **/
@RestController
@Slf4j
@RequestMapping("/user")
public class UserController {

    @Autowired
    private AuthorizationClient authenticatorClient;


    /**
     * 登陆接口
     * @param username
     * @param password
     * @return
     */
    @RequestMapping("/login")
    public R login(String username, String password){
        JwtToken token = authenticatorClient.getToken("password", username, password, "all");
        token.setToken(token.getTokenType()+" "+token.getAccessToken());
        log.info(token.toString());
        return new R().put("data",token);
    }

    @RequestMapping("/info")
    public R getInfo(){
        UserInfoVo userInfoVo = new UserInfoVo();
        log.info("getInfo");
        userInfoVo.setName("admin");
        userInfoVo.setIntroduction("manager");
        userInfoVo.setRoles("admin");
        userInfoVo.setAvatar("avatar");
        return new R().put("data",userInfoVo);
    }

}
