package com.mx.cneeds.server.device.web;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.result.R;
import com.mx.cneeds.common.validator.ValidatorUtils;
import com.mx.cneeds.server.entity.DeviceInfoEntity;
import com.mx.cneeds.server.device.service.DeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.Map;

//import org.apache.shiro.authz.annotation.RequiresPermissions;


/**
 * 设备信息
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
@RestController
@RequestMapping("device/deviceinfo")
public class DeviceInfoController {
    @Autowired
    private DeviceInfoService deviceInfoService;

    /**
     * 列表
     */
    @RequestMapping("/list")
//    @RequiresPermissions("sys:deviceinfo:list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = deviceInfoService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{deviceId}")
//    @RequiresPermissions("sys:deviceinfo:info")
    public R info(@PathVariable("deviceId") Long deviceId){
        DeviceInfoEntity deviceInfo = deviceInfoService.getById(deviceId);

        return R.ok().put("deviceInfo", deviceInfo);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
//    @RequiresPermissions("sys:deviceinfo:save")
    public R save(@RequestBody DeviceInfoEntity deviceInfo){
        deviceInfoService.save(deviceInfo);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
//    @RequiresPermissions("sys:deviceinfo:update")
    public R update(@RequestBody DeviceInfoEntity deviceInfo){
        ValidatorUtils.validateEntity(deviceInfo);
        deviceInfoService.updateById(deviceInfo);
        
        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
//    @RequiresPermissions("sys:deviceinfo:delete")
    public R delete(@RequestBody Long[] deviceIds){
        deviceInfoService.removeByIds(Arrays.asList(deviceIds));

        return R.ok();
    }

    @RequestMapping("/getChannel_nums")
    public void getChannel_nums(String imei){
        //TODO 接口实现
    }

}
